aldidsCoop
Loans

Update Loan

On this page 6
PUT /loans/{id}

Parameters

Path
id string Required

Request Body

application/json
object
  • slug string nullable
  • member_id string nullable
  • guarantor_type string nullable
    Allowed values applicant collateral self guaranteed null
  • saved number nullable
  • pending_loan number nullable
  • rate integer nullable
  • terms integer nullable
  • amount number nullable
  • total_loan number nullable
  • status string nullable
    Allowed values pending checked approved rejected disbursed null
  • start_date string date-time nullable

Responses

200

application/json
object

401

Unauthenticated

application/json
object
  • message string Required

    Error overview.

422

Validation error

application/json
object
  • message string Required

    Errors overview.

  • errors object Required

    A detailed description of each field that failed validation.